## Struct to_log_fun<void>

boost::log::to_log_fun<void> — The function object that outputs its second operand to the first one.

## Synopsis

    // In header: <boost/log/utility/functional/bind_to_log.hpp>

    struct to_log_fun<void> {
      // types
      typedef void result_type;

      // public member functions
      template<typename StreamT, typename T>
        void operator()(StreamT &, T const &) const;
    };

## Description

### `to_log_fun` public member functions

1.     template<typename StreamT, typename T>
         void operator()(StreamT & strm, T const & val) const;